### Enumeration

# Gtk Ordering

#### Declaration

    enum Gtk.Ordering

#### Description [src]

Describes the way two values can be compared.

These values can be used with a `GCompareFunc`. However, a `GCompareFunc` is allowed to return any integer values. For converting such a value to a `GtkOrdering` value, use gtk_ordering_from_cmpfunc().

#### Members

Name | Description
--- | ---
`GTK_ORDERING_SMALLER` | The first value is smaller than the second.
`GTK_ORDERING_EQUAL` | The two values are equal.
`GTK_ORDERING_LARGER` | The first value is larger than the second.

#### Type functions

###### gtk_ordering_from_cmpfunc

Converts the result of a `GCompareFunc` like strcmp() to a `GtkOrdering` value.